API Direct
Endpoints
YouTube Video Details

YouTube Video Details

GET /v1/youtube/video

Get detailed information about a YouTube video by URL or video ID. Returns title, full description, channel name and ID, publish date, duration, view count, category, keywords, and thumbnail.

Cost
$0.005 per request
Free tier
50 requests/month

Parameters

url *
YouTube video URL (watch?v=, youtu.be/, /shorts/, /embed/ or /live/ forms) or 11-character video ID

Example Request

curl "https://apidirect.io/v1/youtube/video?url=https://www.youtube.com/watch?v=dQw4w9WgXcQ" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "video": {
    "video_id": "dQw4w9WgXcQ",
    "url": "https://youtube.com/watch?v=dQw4w9WgXcQ",
    "title": "Rick Astley - Never Gonna Give You Up (Official Video) (4K Remaster)",
    "description": "The official video for “Never Gonna Give You Up” by Rick Astley...",
    "author": "Rick Astley",
    "channel_id": "UCuAXFkgsw1L7xaCfnd5JJOw",
    "date": "2009-10-25 06:57:33",
    "duration": 213,
    "views": 1788679598,
    "category": "Music",
    "type": "NORMAL",
    "is_live": false,
    "keywords": ["rick astley", "Never Gonna Give You Up", "rick roll"],
    "thumbnail": "https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/maxresdefault.webp"
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity